Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1598451 - Uninstall playbook does not respect 3rd party SDNs: It tries to stop and remove OVS
Summary: Uninstall playbook does not respect 3rd party SDNs: It tries to stop and remo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.10.z
Assignee: Michael Gugino
QA Contact: sheng.lao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-05 14:02 UTC by Alejandro Coma
Modified: 2018-09-17 14:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:27:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alejandro Coma 2018-07-05 14:02:27 UTC
Description of problem:
The same way and upgrade should no affect 3rd party SDNs components (specially OVS), and uninstall should not do it neither.

When uninstalling OCP on a cluster with NSX-T SDN, the OVS is stopped and uninstalled.
It should respect the variable openshift_use_openshift_sdn=false.

On the NSX-T specific case, stopping the OVS means losing connectivity to the machine, so the uninstall playbook fails. Also the OVS package is provided by VMWare, hence It should not be touched.

Version-Release number of selected component (if applicable):
Openshift 3.7.42

How reproducible:
Always, trying to uninstall openshift when using a 3rd party SDN.

Actual results:
It tries to stop and remove OVS

Expected results:
Should leave 3rd party ovs untouched.

Additional info:
Upstream PR: https://github.com/openshift/openshift-ansible/pull/9069
Related to the same use case when trying to upgrade: https://bugzilla.redhat.com/1571346

Comment 2 Michael Gugino 2018-08-29 18:54:10 UTC
The changes were incorported into 3.10 via https://github.com/openshift/openshift-ansible/pull/9410

Comment 4 sheng.lao 2018-08-30 13:53:50 UTC
Fixed at: openshift-ansible-3.10.41-1

1. Login the machine, to check files, rpms and net-devices
2. Check logs 
TASK [Stop OVS service] ********************************************************************************
Thursday 30 August 2018  08:05:08 -0400 (0:00:03.494)       0:00:20.044 ******* 
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com]

TASK [Remove OVS package] ********************************************************************************
Thursday 30 August 2018  08:06:31 -0400 (0:01:08.999)       0:01:42.918 *******
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com]

TASK [Remove br0 interface] ********************************************************************************
Thursday 30 August 2018  08:06:35 -0400 (0:00:01.627)       0:01:46.971 *******
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com]

TASK [Remove linux interfaces] ********************************************************************************
Thursday 30 August 2018  08:06:36 -0400 (0:00:00.181)       0:01:47.153 *******
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com] => (item=lbr0)
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com] => (item=vlinuxbr)
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com] => (item=vovsbr)

TASK [Remove virtual devices] ********************************************************************************
Thursday 30 August 2018  08:06:36 -0400 (0:00:00.260)       0:01:47.414 *******
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com] => (item=tun0)

TASK [Remove files owned by OVS RPM] ********************************************************************************
Thursday 30 August 2018  08:07:43 -0400 (0:00:02.979)       0:02:54.874 *******
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com]

TASK [Remove files owned by OVS RPM] ********************************************************************************
Thursday 30 August 2018  08:09:12 -0400 (0:00:02.966)       0:04:23.876 *******
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com] => (item=/etc/sysconfig/openvswitch)

TASK [Remove remaining OVS files] *******************************************************************************
Thursday 30 August 2018  08:10:18 -0400 (0:00:54.199)       0:05:29.192 *******
skipping: [host-8-248-212.host.centralci.eng.rdu2.redhat.com] => (item=/etc/systemd/system/openvswitch.service)


Note You need to log in before you can comment on or make changes to this bug.